Skip to main content
GET
/
v1beta
/
findall
/
runs
/
{findall_id}
/
events
Python
from parallel import Parallel

client = Parallel(api_key="API Key")

events = client.beta.findall.events(
    findall_id="findall_56ccc4d188fb41a0803a935cf485c774",
)

print(f"FindAll run {events.findall_id} events: {events.model_dump_json(indent=2)}")
{
  "type": "findall.schema.updated",
  "timestamp": "2023-11-07T05:31:56Z",
  "event_id": "<string>",
  "data": {
    "objective": "<string>",
    "entity_type": "<string>",
    "match_conditions": [
      {
        "name": "<string>",
        "description": "<string>"
      }
    ],
    "enrichments": [
      {
        "output_schema": {
          "json_schema": {},
          "type": "json"
        },
        "processor": "core",
        "mcp_servers": [
          {
            "url": "<string>",
            "name": "<string>",
            "type": "url",
            "headers": {},
            "allowed_tools": [
              "<string>"
            ]
          }
        ]
      }
    ],
    "generator": "core",
    "match_limit": 123
  }
}

Authorizations

x-api-key
string
header
required

Headers

parallel-beta
string | null

Path Parameters

findall_id
string
required

Query Parameters

last_event_id
string | null
timeout
number | null

Response

Successful Response

Event containing full snapshot of FindAll run state.

type
enum<string>
required

Event type; always 'findall.schema.updated'.

Available options:
findall.schema.updated
Allowed value: "findall.schema.updated"
timestamp
string<date-time>
required

Timestamp of the event.

event_id
string
required

Unique event identifier for the event.

data
FindAllSchema · object
required

Updated FindAll schema.